
Redmine - Defect #18866

MySQL: disappear after 4-Byte UTF-8

2015-01-16 11:37 - Алексей Городецкий

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.2

Description

When writing tasks text after some characters disappear. For example, after the symbol «

Related issues:

Related to Redmine - Patch #19742: RedmineInstall: MySQL: collation_database Closed

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

Has duplicate Redmine - Defect #10779: redmine cannot deal with 4-byte utf-8 ... Closed

Has duplicate Redmine - Defect #10772: 4-byte utf-8 characters Closed

Has duplicate Redmine - Defect #21679: Emoji [CL] will break the subject of n... Closed

History

#1 - 2015-01-16 11:42 - Алексей Городецкий

林 业文 writing tasks text after some characters disappear. For example, after the symbol «

#2 - 2015-01-16 14:28 - Toshi MARUYAMA

after the symbol « after the symbol « after the symbol «

#3 - 2015-01-16 14:30 - Toshi MARUYAMA

- File issue.png added

- Status changed from New to Needs feedback

I cannot reproduce.

 issue.png 

Environment:

  Redmine version                2.5.3.stable

  Ruby version                   1.9.3-p551 (2014-11-13) [x86_64-linux]

  Rails version                  3.2.19

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.11

  Mercurial                      2.8.2

  Bazaar                         2.1.1

  Git                            1.7.1

  Filesystem                     

Redmine plugins:

  no plugin installed

#4 - 2015-01-18 16:49 - Имя Фамилия

For example, after the symbol "��". This symbol was been encoded for this message as 

&#x100000;

. Copy this message to reproduce.

#5 - 2015-01-18 16:53 - Имя Фамилия

Copy:

For example, after the symbol "
https://www.redmine.org/users/36659


#6 - 2015-01-18 17:57 - Toshi MARUYAMA

- Category changed from Issues to Database

- Status changed from Needs feedback to New

The utf8mb4 Character Set (4-Byte UTF-8 Unicode Encoding)

http://dev.mysql.com/doc/refman/5.6/en/charset-unicode-utf8mb4.html

#7 - 2015-01-18 18:00 - Toshi MARUYAMA

http://www.fileformat.info/info/unicode/char/100000/index.htm

UTF-8 (hex)  0xF4 0x80 0x80 0x80 (f4808080)

#8 - 2015-01-18 18:01 - Toshi MARUYAMA

- Subject changed from When writing tasks text disappears after some characters to MySQL: disappear after 4-Byte UTF-8

#9 - 2015-05-03 02:01 - Toshi MARUYAMA

- Related to Patch #19742: RedmineInstall: MySQL: collation_database added

#10 - 2015-06-22 05:49 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

#11 - 2015-06-22 05:49 - Toshi MARUYAMA

- Is duplicate of Defect #10772: 4-byte utf-8 characters added

#12 - 2015-06-22 05:49 - Toshi MARUYAMA

- Related to deleted (Patch #19742: RedmineInstall: MySQL: collation_database)

#13 - 2015-06-22 05:51 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

#14 - 2015-06-22 05:55 - Toshi MARUYAMA

- Related to Patch #19742: RedmineInstall: MySQL: collation_database added

#15 - 2015-06-22 05:58 - Toshi MARUYAMA

Try utf8mb4 (#10772#note-7).

#16 - 2015-06-22 06:00 - Toshi MARUYAMA

- Has duplicate Defect #10779: redmine cannot deal with 4-byte utf-8 characters added

#17 - 2015-06-22 06:03 - Toshi MARUYAMA

- Status changed from New to Closed

#18 - 2015-06-22 06:04 - Toshi MARUYAMA

- Status changed from Closed to New

#19 - 2015-06-22 06:05 - Toshi MARUYAMA

- Has duplicate deleted (Defect #10779: redmine cannot deal with 4-byte utf-8 characters)

#20 - 2015-06-22 06:06 - Toshi MARUYAMA

- Is duplicate of deleted (Defect #10772: 4-byte utf-8 characters)

#21 - 2015-06-22 06:07 - Toshi MARUYAMA

- Has duplicate Defect #10779: redmine cannot deal with 4-byte utf-8 characters added
http://dev.mysql.com/doc/refman/5.6/en/charset-unicode-utf8mb4.html
http://www.fileformat.info/info/unicode/char/100000/index.htm
https://www.redmine.org/issues/10772#note-7


#22 - 2015-06-22 06:08 - Toshi MARUYAMA

- Has duplicate Defect #10772: 4-byte utf-8 characters added

#23 - 2016-01-08 17:01 - Toshi MARUYAMA

- Has duplicate Defect #21679: Emoji [CL] will break the subject of new tickets added

#24 - 2019-08-17 18:20 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

#25 - 2023-11-21 00:17 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

Issues #31921, #32140 and HowTo_convert_a_database_from_utf8_to_utf8mb4 page contain enough information to identify the issues caused by

utf8 and to migrate the database to utf8mb4.

Closing this as duplicate.
https://www.redmine.org/issues/31921
https://www.redmine.org/issues/32140
https://www.redmine.org/projects/redmine/wiki/HowTo_convert_a_database_from_utf8_to_utf8mb4
